Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.venus
Class SettingsLabelAction

    java.lang.Object
      javax.swing.AbstractAction
          mars.venus.GuiAction
              mars.venus.SettingsLabelAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class SettingsLabelAction

extends GuiAction

Action class for the Settings menu item to control display of Labels window (symbol table).

See Also:
  Serialized Form

Field Summary

Fields inherited from class mars.venus.GuiAction
`mainUI`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`SettingsLabelAction(String name, Icon icon, String descrip, Integer mnemonic, KeyStroke accel, VenusUI gui)`

Method Summary
`void` | `actionPerformed(ActionEvent e)` does nothing by default.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SettingsLabelAction

    public SettingsLabelAction(String name,
                               Icon icon,
                               String descrip,
                               Integer mnemonic,
                               KeyStroke accel,
                               VenusUI gui)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from class: `GuiAction`
  does nothing by default. Should be over-ridden by subclass

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Overrides:
    `actionPerformed` in class `GuiAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD